// 
{*******************************************************}
{                                                       }
{         E L E K S   S P I T T E D  P A N E L S        }        
{                                                       }
{        Copyright (C) 1998, 1999 Eleks Software        }
{               Created by Yuri Solodkiy                }
{                  All rights reserved                  }
{                                                       }
{                 http://eleks.txnet.com                }
{                    eleks@fnmail.com                   }
{                                                       }
{*******************************************************}


// $Archive: /H/Gerix/Projects/elSplittedPanels/elSplittedPanelsDemoFrm.pas $ $Author: Gerix $ $Date: 10/30/99 2:08p $ $Revision: 7 $ $Workfile: elSplittedPanelsDemoFrm.pas $

unit elSplittedPanelsDemoFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, elSplittedPanels, Grids, StdCtrls, ComCtrls, Buttons, IniFiles,
  Registry;

type
  TelSplittedPanelsDemoForm = class(TForm)
    elSplittedPanels1: TelSplittedPanels;
    Memo1: TMemo;
    ListBox1: TListBox;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  public
    function GetIniFile: TCustomIniFile;
  end;

var
  elSplittedPanelsDemoForm: TelSplittedPanelsDemoForm;

implementation

{$R *.DFM}

procedure TelSplittedPanelsDemoForm.FormShow(Sender: TObject);
begin
  elSplittedPanels1.LoadState;
end;

procedure TelSplittedPanelsDemoForm.FormHide(Sender: TObject);
begin
  elSplittedPanels1.SaveState;
end;

function TelSplittedPanelsDemoForm.GetIniFile: TCustomIniFile;
begin
{$IFNDEF VER120}{$IFNDEF VER130} { <= Delphi 3 }
  Result := TIniFile.Create('elSplittedPanels');
{$ENDIF}{$ENDIF}
{$IFNDEF VER90}{$IFNDEF VER100} { >= Delphi4 }
  Result := TRegistryIniFile.Create('Software\Eleks\elSpilltedPanels\');
{$ENDIF}{$ENDIF}
end;

end.

 